
%if 0%{?fedora} < 22
%define kate 1
%endif

%if 0%{?fedora} < 24
%define akonadi 1
%define nepomuk 1
%endif

Name: smokekde
Version: 4.14.3
Release: 13%{?dist}
Summary: Bindings for KDE libraries

License: LGPLv2+
URL:     https://projects.kde.org/projects/kde/kdebindings/smoke 
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: kdelibs4-devel >= 4.14
BuildRequires: kdepimlibs-devel >= 4.14
%if 0%{?nepomuk}
BuildRequires: nepomuk-devel
%endif
BuildRequires: okular-devel >= 4.14
BuildRequires: soprano-devel >= 1.99
%if 0%{?akonadi}
BuildRequires: pkgconfig(akonadi)
%else
Obsoletes: smokekde-akonadi < 4.14.3-20
%endif
BuildRequires: smokegen-devel >= %{version}
BuildRequires: smokeqt-devel >= %{version}

Obsoletes: kdebindings < 4.7.0 

# versioned core/runtime deps
Requires: smokegen%{?_isa} >= %{version}
Requires: smokeqt%{?_isa} >= %{version}

%if 0%{?kate}
BuildRequires: kate-devel >= 4.13.3
Requires: kate4-part%{?_isa}
%else
BuildConflicts: kate-devel
%endif

%description
This package includes bindings for KDE libraries.

%package akonadi
Summary: Akonadi runtime support for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
#Requires: kdepimlibs-akonadi%{?_isa} >= %{kde4_version}
%description akonadi
%{summary}.

%package devel
Summary: Development files for %{name} 
Obsoletes: kdebindings-devel < 4.7.0
Requires: %{name}%{?_isa} = %{version}-%{release}
%if 0%{?akonadi}
Requires: %{name}-akonadi%{?_isa} = %{version}-%{release}
%endif
Requires: smokegen-devel
Requires: smokeqt-devel
%description devel
%{summary}.


%prep
%setup -q


%build

%if 0%{?fedora} > 23
export CXXFLAGS="%{optflags} -std=gnu++98"
%endif

mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} .. \
  %{!?akonadi:-DDISABLE_akonadi:BOOL=ON} \
  %{!?kate:-DDISABLE_kate:BOOL=ON} \
  %{!?nepomuk:-DDISABLE_nepomuk:BOOL=ON -DDISABLE_nepomukquery:BOOL=ON}
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

## unpackaged files
%{!?akonadi:rm -fv %{buildroot}%{_kde4_libdir}/libsmokeakonadi.so*}
%{!?kate:rm -fv %{buildroot}%{_kde4_libdir}/libsmokekate.so*}
%{!?nepomuk:rm -fv %{buildroot}%{_kde4_libdir}/libsmokenepomuk*.so*}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc AUTHORS COPYING.LIB
%{_kde4_libdir}/libsmokeattica.so.3*
%if 0%{?kate}
%{_kde4_libdir}/libsmokekate.so.3*
%endif
%{_kde4_libdir}/libsmokekdecore.so.3*
%{_kde4_libdir}/libsmokekdeui.so.3*
%{_kde4_libdir}/libsmokekfile.so.3*
%{_kde4_libdir}/libsmokekhtml.so.3*
%{_kde4_libdir}/libsmokekio.so.3*
%{_kde4_libdir}/libsmokeknewstuff2.so.3*
%{_kde4_libdir}/libsmokeknewstuff3.so.3*
%{_kde4_libdir}/libsmokekparts.so.3*
%{_kde4_libdir}/libsmokektexteditor.so.3*
%{_kde4_libdir}/libsmokekutils.so.3*
%if 0%{?nepomuk}
%{_kde4_libdir}/libsmokenepomuk.so.3*
%{_kde4_libdir}/libsmokenepomukquery.so.3*
%endif
%{_kde4_libdir}/libsmokeokular.so.3*
%{_kde4_libdir}/libsmokeplasma.so.3*
%{_kde4_libdir}/libsmokesolid.so.3*
%{_kde4_libdir}/libsmokesoprano.so.3*
%{_kde4_libdir}/libsmokesopranoclient.so.3*
%{_kde4_libdir}/libsmokesopranoserver.so.3*

%if 0%{?akonadi}
%files akonadi
%{_kde4_libdir}/libsmokeakonadi.so.3*
%endif

%files devel
%{_libdir}/libsmoke*.so
%{_includedir}/smoke/*
%{_datadir}/smokegen/*


%changelog
* Mon Dec 19 2016 Rex Dieter <rdieter@fedoraproject.org> - 4.14.3-13
- dead symlinks (#1405820)

* Wed Nov 09 2016 Rex Dieter <rdieter@fedoraproject.org> - 4.14.3-12
- rebuild (ppc64)

* Fri Feb 26 2016 Marcin Juszkiewicz <mjuszkiewicz@redhat.com> - 4.14.3-11
- Add missing build dependency on soprano-devel.

* Wed Feb 17 2016 Rex Dieter <rdieter@fedoraproject.org> 4.14.3-10
- disable akonadi/nepomuk bindings f24+

* Tue Feb 16 2016 Rex Dieter <rdieter@fedoraproject.org> 4.14.3-9
- smokekde: FTBFS in rawhide (#1308138)

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.14.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.14.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 4.14.3-7
- Rebuilt for GCC 5 C++11 ABI change

* Mon Mar 30 2015 Rex Dieter <rdieter@fedoraproject.org> 4.14.3-6
- fix kate versioning

* Thu Feb 19 2015 Rex Dieter <rdieter@fedoraproject.org> 4.14.3-5
- disable kate(4) support for f22+ (where kf5-kate and plasma5 is used)

* Sun Feb 01 2015 Rex Dieter <rdieter@fedoraproject.org> 4.14.3-4
- rebuild (okular)

* Sat Jan 31 2015 Rex Dieter <rdieter@fedoraproject.org> 4.14.3-3
- Requires: kate4-part

* Sat Jan 17 2015 Rex Dieter <rdieter@fedoraproject.org> 4.14.3-2
- kde-applications fixes, cleanup

* Sat Nov 08 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.14.3-1
- 4.14.3

* Sun Oct 12 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.14.2-1
- 4.14.2

* Tue Sep 16 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.14.1-1
- 4.14.1

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Aug 15 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.14.0-1
- 4.14.0

* Tue Aug 05 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.13.97-1
- 4.13.97

* Tue Jul 15 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.13.3-1
- 4.13.3

* Mon Jun 09 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.13.2-1
- 4.13.2

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.13.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun May 11 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.13.1-1
- 4.13.1

* Sat Apr 12 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.13.0-1
- 4.13.0

* Fri Apr 04 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.97-1
- 4.12.97

* Sat Mar 22 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.95-1
- 4.12.95

* Wed Mar 19 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.90-1
- 4.12.90

* Sat Mar 01 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.3-1
- 4.12.3

* Fri Jan 31 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.2-1
- 4.12.2

* Fri Jan 10 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.1-1
- 4.12.1

* Thu Dec 19 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.12.0-1
- 4.12.0

* Sun Dec 01 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.97-1
- 4.11.97

* Thu Nov 21 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.95-1
- 4.11.95

* Sat Nov 16 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.90-1
- 4.11.90

* Sat Nov 02 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.3-1
- 4.11.3

* Sat Sep 28 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.2-1
- 4.11.2

* Wed Sep 04 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.1-1
- 4.11.1

* Thu Aug 08 2013 Than Ngo <than@redhat.com> - 4.11.0-1
- 4.11.0

* Thu Jul 25 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.97-1
- 4.10.97

* Tue Jul 23 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.95-1
- 4.10.95

* Fri Jun 28 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.90-1
- 4.10.90

* Sat Jun 01 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.4-1
- 4.10.4

* Mon May 06 2013 Than Ngo <than@redhat.com> - 4.10.3-1
- 4.10.3

* Sun Mar 31 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.2-1
- 4.10.2

* Sat Mar 02 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.1-1
- 4.10.1

* Mon Feb 25 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-2
- don't override CXXFLAGS (#884839, kde#315774)

* Fri Feb 01 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.0-1
- 4.10.0

* Sun Jan 20 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.9.98-1
- 4.9.98

* Fri Jan 04 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.9.97-1
- 4.9.97

* Fri Dec 21 2012 Rex Dieter <rdieter@fedoraproject.org> 4.9.95-2
- drop BR: nepomuk-core-devel hack

* Thu Dec 20 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.9.95-1
- 4.9.95

* Tue Dec 04 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.9.90-1
- 4.9.90

* Mon Dec 03 2012 Than Ngo <than@redhat.com> - 4.9.4-1
- 4.9.4

* Sat Nov 03 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.9.3-1
- 4.9.3

* Sat Sep 29 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.9.2-1
- 4.9.2

* Mon Sep 03 2012 Than Ngo <than@redhat.com> - 4.9.1-1
- 4.9.1

* Thu Jul 26 2012 Lukas Tinkl <ltinkl@redhat.com> - 4.9.0-1
- 4.9.0

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.8.97-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jul 11 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.97-1
- 4.8.97

* Wed Jun 27 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.95-1
- 4.8.95

* Wed Jun 20 2012 Rex Dieter <rdieter@fedoraproject.org> 4.8.90-3
- rebuild (attica)

* Sun Jun 10 2012 Rex Dieter <rdieter@fedoraproject.org> 4.8.90-2
- rebuild (smokegen)

* Sat Jun 09 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.90-1
- 4.8.90

* Thu May 31 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.80-1
- 4.8.80

* Mon Apr 30 2012 Jaroslav Reznik <jreznik@redhat.com> - 4.8.3-1
- 4.8.3

* Fri Mar 30 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.2-1
- 4.8.2

* Fri Mar 23 2012 Rex Dieter <rdieter@fedoraproject.org> 4.8.1-2
- -akonadi subpkg

* Mon Mar 05 2012 Jaroslav Reznik <jreznik@redhat.com> - 4.8.1-1
- 4.8.1

* Sun Jan 22 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.0-1
- 4.8.0

* Wed Jan 04 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.7.97-1
- 4.7.97

* Sat Dec 31 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.95-2
- rebuild (attica)

* Thu Dec 22 2011 Radek Novacek <rnovacek@redhat.com> - 4.7.95-1
- 4.7.95

* Sun Dec 04 2011 Rex Dieter <rdieter@fedoraproject.org> - 4.7.90-1
- 4.7.90

* Thu Nov 24 2011 Jaroslav Reznik <jreznik@redhat.com> 4.7.80-1
- 4.7.80 (beta 1)

* Sat Oct 29 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.3-1
- 4.7.3

* Sat Oct 08 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.2-2
- Requires: kate-part

* Tue Oct 04 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.2-1
- 4.7.2

* Thu Sep 29 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.1-3
- s/Conflicts/Obsoletes/ kdebindings
- update URL
- remove deprecated tags from .spec

* Fri Sep 16 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.1-2
- BR: qt4-webkit-devel kate-devel

* Tue Sep 06 2011 Than Ngo <than@redhat.com> - 4.7.1-1
- 4.7.1

* Wed Aug 03 2011 Than Ngo <than@redhat.com> - 4.7.0-2
- BR: okula-devel

* Tue Jul 26 2011 Than Ngo <than@redhat.com> - 4.7.0-1
- 4.7.0

* Fri Jul 22 2011 Than Ngo <than@redhat.com> - 4.6.95-1
- 4.7 rc1

* Wed Jul 06 2011 Than Ngo <than@redhat.com> - 4.6.90-1
- first Fedora RPM
